Dada 2 error message

Hello,

I am having trouble deciphering what is the exact error from this message. All it says is that its having trouble running in R? Here’s what it says:

(qiime2-2017.12) [email protected]:~/Greenhouse_experiment_2017$ qiime dada2 denoise-paired --i-demultiplexed-seqs /home/qiime2/Greenhouse_experiment_2017/test/GH_2017_test_seq.qza --p-trunc-len-f 0 --p-trunc-len-r 200 --p-trim-left-f 0 --p-trim-left-r 0 --p-max-ee 4 --o-table /home/qiime2/Greenhouse_experiment_2017/test/table.qza --verbose --o-representative-sequences /home/qiime2/Greenhouse_experiment_2017/test/rep-seqs.qza
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpeu1wz8yh/forward /tmp/tmpeu1wz8yh/reverse /tmp/tmpeu1wz8yh/output.tsv.biom /tmp/tmpeu1wz8yh/filt_f /tmp/tmpeu1wz8yh/filt_r 0 200 0 0 4.0 2 consensus 1.0 1 1000000

R version 3.4.1 (2017-06-30)
Loading required package: Rcpp
DADA2 R package version: 1.6.0

  1. Filtering The filter removed all reads: /tmp/tmpeu1wz8yh/filt_f/Gh_expt2017_A202_4_L001_R1_001.fastq.gz and /tmp/tmpeu1wz8yh/filt_r/Gh_expt2017_A202_5_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpeu1wz8yh/filt_f/Gh_expt2017_A203_6_L001_R1_001.fastq.gz and /tmp/tmpeu1wz8yh/filt_r/Gh_expt2017_A203_7_L001_R2_001.fastq.gz not written.
    The filter removed all reads: /tmp/tmpeu1wz8yh/filt_f/Gh_expt2017_A204_8_L001_R1_001.fastq.gz and /tmp/tmpeu1wz8yh/filt_r/Gh_expt2017_A204_9_L001_R2_001.fastq.gz not written.
    Some input samples had no reads pass the filter.
    …xxx

  2. Learning Error Rates
    2a) Forward Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 46 reads in 46 unique sequences.
    Sample 2 - 41 reads in 40 unique sequences.
    selfConsist step 2
    Convergence after 2 rounds.
    2b) Reverse Reads
    Initializing error rates to maximum possible estimate.
    Sample 1 - 46 reads in 42 unique sequences.
    Sample 2 - 41 reads in 41 unique sequences.
    selfConsist step 2
    Convergence after 2 rounds.

  3. Denoise remaining samples

  4. Remove chimeras (method = consensus)
    Error in isBimeraDenovoTable(unqs[[i]], …, verbose = verbose) :
    Input must be a valid sequence table.
    Calls: removeBimeraDenovo -> isBimeraDenovoTable
    In addition: Warning message:
    In is.na(colnames(unqs[[i]])) :
    is.na() applied to non-(list or vector) of type ‘NULL’
    Execution halted
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 179, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 35, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/subprocess.py”, line 398, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpeu1wz8yh/forward’, ‘/tmp/tmpeu1wz8yh/reverse’, ‘/tmp/tmpeu1wz8yh/output.tsv.biom’, ‘/tmp/tmpeu1wz8yh/filt_f’, ‘/tmp/tmpeu1wz8yh/filt_r’, ‘0’, ‘200’, ‘0’, ‘0’, ‘4.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2cli/commands.py”, line 224, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 228, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 363, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2017.12/lib/python3.5/site-packages/q2_dada2/_denoise.py”, line 194, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

Thanks in Advance,
Max

Hey there @MAX_MIAO!

This error means that none of your reads were able to successfully join, which means there was insufficient overlap. We might be able to make an adjustment to your trim/trunc params — please post the demux summarize viz for these data for some recommendations. Otherwise, you can use dada2 denoise-single to process just the forward reads.

1 Like

Hello,

I sent you the .qzv file. I wanted to make a note that the .qvz file doesn't include any of my meta data. It just a list of few samples of varying quality.

Ghexpt2017_16S_test_trimmed.qzv (283.3 KB)

Thanks,
Max

Yep - that is all that viz does.

Thanks for sharing. First off, I just want to point out the very low read counts in this dataset:

Sample name Sequence count
Gh_expt2017_A200 3195
Gh_expt2017_A201 3144
Gh_expt2017_A202 122
Gh_expt2017_A204 37
Gh_expt2017_A203 36

First off, DADA2 is dropping the last three samples because all of the reads were filtered:

That leaves DADA2 with two samples to work on.

Second, as I mentioned, the original error had to do with DADA2 not being able to merge your forward and reverse reads. Looking at your trim and trunc settings with the quality score histrograms, I am not surprised this failed. You will want trim off the lower quality nts, or use just the forward reads. You will need to experiment with settings that work best, but here is my recommendation (using ~q25 as a cutoff, YMMV):

--p-trunc-len-f 276
--p-trunc-len-r 214
--p-trim-left-f 6
--p-trim-left-r 6
--p-max-ee 4

Anyway, diversity analyses on this dataset might not be too fruitful, but taxonomic analysis might be worthwhile. Keep us posted!

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.